Package com.orchestranetworks.workflow

# Interface WorkflowTriggerWorkItemAllocationContext

All Superinterfaces:
  `DataContextReadOnly`, `ProcessExecutionContext`, `ProcessExecutionInfoContext`, `WorkflowTriggerContext`, `WorkflowTriggerStepContext`, `WorkflowTriggerWorkItemAuthenticatedContext`, `WorkflowTriggerWorkItemContext`

All Known Subinterfaces:
  `WorkflowTriggerBeforeWorkItemAllocationContext`, `WorkflowTriggerBeforeWorkItemReallocationContext`

public interface WorkflowTriggerWorkItemAllocationContext extends WorkflowTriggerWorkItemAuthenticatedContext
Context for handling the event related to work item allocations.

Since:
  5.5.1

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.orchestranetworks.workflow.ProcessExecutionContext

  `ProcessExecutionContext.WorkflowPermission`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UserReference`
  `getUserReference()`
  Returns the user to whom the work item will be allocated.

  ### Methods inherited from interface com.orchestranetworks.workflow.DataContextReadOnly

  `getVariableNames, getVariableString, isVariableDefined`

  ### Methods inherited from interface com.orchestranetworks.workflow.ProcessExecutionContext

  `createMailSpec, getProcessInstanceDescription, getProcessInstanceLabel, modifyProcessPriority`

  ### Methods inherited from interface com.orchestranetworks.workflow.ProcessExecutionInfoContext

  `getProcessInstance, getProcessInstanceCreator, getProcessInstanceKey, getProfileForPermission, getPublishedProcessKey, getRepository`

  ### Methods inherited from interface com.orchestranetworks.workflow.WorkflowTriggerStepContext

  `getCurrentStepId`

  ### Methods inherited from interface com.orchestranetworks.workflow.WorkflowTriggerWorkItemAuthenticatedContext

  `getSession`

  ### Methods inherited from interface com.orchestranetworks.workflow.WorkflowTriggerWorkItemContext

  `getWorkItem`

- ## Method Details

  - ### getUserReference

    UserReference getUserReference()
    Returns the user to whom the work item will be allocated.